Get modular inventory capabilities
curl --request GET \
--url https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/modular/inventory/capabilities \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/modular/inventory/capabilities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/modular/inventory/capabilities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"adapter": "freewheel",
"selectorTypes": [
{
"id": "site",
"label": "<string>",
"supportsParentFilter": true
}
],
"pricingModels": [
"<string>"
],
"targetingDimensions": [
"<string>"
],
"optimizationGoals": [
"<string>"
]
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Storefront
Get modular inventory capabilities
Return selector and targeting capabilities exposed by a modular inventory source taxonomy module, currently FreeWheel sandbox taxonomy selectors.
GET
/
inventory-sources
/
{sourceId}
/
modular
/
inventory
/
capabilities
Get modular inventory capabilities
curl --request GET \
--url https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/modular/inventory/capabilities \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/modular/inventory/capabilities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/modular/inventory/capabilities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"adapter": "freewheel",
"selectorTypes": [
{
"id": "site",
"label": "<string>",
"supportsParentFilter": true
}
],
"pricingModels": [
"<string>"
],
"targetingDimensions": [
"<string>"
],
"optimizationGoals": [
"<string>"
]
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Path Parameters
Inventory source ID
Minimum string length:
1